# PhasicFlow: setFieldList Class Reference

setFieldList Class Reference
Inheritance diagram for setFieldList:
[legend]
Collaboration diagram for setFieldList:
[legend]

## Public Member Functions

| setFieldList (const dictionary &dict)
| setFieldList (const setFieldList &)=default
| setFieldList (setFieldList &&)=default
setFieldList & | operator= (const setFieldList &)=default
setFieldList & | operator= (setFieldList &&)=default
auto | clone () const
setFieldList * | clonePtr () const
| ~setFieldList ()=default
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const
Public Member Functions inherited from List< setFieldEntry >
| TypeInfoTemplateNV ("List", setFieldEntry)
| List ()
| List (size_t len)
| List (size_t len, const setFieldEntry &value)
| List (initList lst)
| List (const List &src)
| List (List &&mv)
ListType & | operator= (const ListType &rhs)
ListType & | operator= (ListType &&rhs)
uniquePtr< ListType > | clone () const
ListType * | clonePtr () const
| ~List ()
int32 | countElement (const setFieldEntry &elm) const
size_t | size () const
setFieldEntry & | operator[] (size_t i)
const setFieldEntry & | operator[] (size_t i) const
constIterator | find (const setFieldEntry &val) const
iterator | find (const setFieldEntry &val)
int32 | findi (const setFieldEntry &val) const
bool | search (const setFieldEntry &val) const
void | set (size_t i, const setFieldEntry &val)
void | set (size_t i, setFieldEntry &&val)
bool | writeList (iOstream &os) const
bool | readList (iIstream &is)
bool | read (iIstream &is)
bool | write (iOstream &os) const

## Protected Member Functions

bool | readSetFieldList (const dictionary &dict)
bool | writeSetFieldList (dictionary &dict) const
Protected Member Functions inherited from List< setFieldEntry >
auto | pos (size_t i)
const auto | pos (size_t i) const

## Protected Attributes

dictionary | dict_

## Additional Inherited Members

Public Types inherited from List< setFieldEntry >
using | ListType = List< setFieldEntry >
using | listType = std::list< setFieldEntry, std::allocator< setFieldEntry > >
using | iterator = typename listType::iterator
using | constIterator = typename listType::const_iterator
using | reference = typename listType::reference
using | constReference = typename listType::const_reference
using | initList = typename std::initializer_list< setFieldEntry >
using | valueType = setFieldEntry
Static Protected Member Functions inherited from List< setFieldEntry >
static size_t | getListStride (const size_t &len)

## Detailed Description

Definition at line 32 of file setFieldList.hpp.

## Constructor & Destructor Documentation

## setFieldList() [1/3]

setFieldList | ( | const dictionary & | dict | ) |

Definition at line 47 of file setFieldList.cpp.

References fatalExit.

Referenced by setFieldList::clonePtr().

Here is the caller graph for this function:

## setFieldList() [2/3]

setFieldList | ( | const setFieldList & |  | ) |

default

## setFieldList() [3/3]

setFieldList | ( | setFieldList && |  | ) |

default

## ~setFieldList()

~setFieldList | ( |  | ) |

default

## Member Function Documentation

## readSetFieldList()

bool readSetFieldList | ( | const dictionary & | dict | ) |

protected

Definition at line 24 of file setFieldList.cpp.

References dictionary::dataEntryKeywords(), and dictionary::dataEntryRef().

Here is the call graph for this function:

## writeSetFieldList()

bool writeSetFieldList | ( | dictionary & | dict | ) | const

protected

Definition at line 38 of file setFieldList.cpp.

## operator=() [1/2]

setFieldList& operator= | ( | const setFieldList & |  | ) |

default

## operator=() [2/2]

setFieldList& operator= | ( | setFieldList && |  | ) |

default

## clone()

auto clone | ( |  | ) | const

inline

Definition at line 58 of file setFieldList.hpp.

## clonePtr()

setFieldList* clonePtr | ( |  | ) | const

inline

Definition at line 63 of file setFieldList.hpp.

References setFieldList::setFieldList().

Here is the call graph for this function:

## read()

bool read | ( | const dictionary & | dict | ) |

Definition at line 61 of file setFieldList.cpp.

## write()

bool write | ( | dictionary & | dict | ) | const

Definition at line 70 of file setFieldList.cpp.

## Member Data Documentation

## dict_

dictionary dict_

protected

Definition at line 39 of file setFieldList.hpp.

The documentation for this class was generated from the following files:

- src/phasicFlow/setFieldList/setFieldList.hpp
- src/phasicFlow/setFieldList/setFieldList.cpp